Skip to main content
GET
List products

Authorizations

Authorization
string
header
required

API token in the sk_live_… format.

Query Parameters

page
integer
default:1

Page number, starting at 1. An invalid value is treated as 1.

Required range: x >= 1
perPage
integer
default:20

Number of items per page. The maximum depends on the environment (default 100).

Required range: 1 <= x <= 100

Search by name, SKU or description.

categoryId
integer

Category the product belongs to.

isActive
boolean

Filters by active product. An inactive product does not show up in search and cannot be linked to a card.

priceFrom
string

Minimum price, inclusive.

priceTo
string

Maximum price, inclusive.

createdFrom
string<date>

Returns products created from this date on. The day starts in your company's time zone.

createdTo
string<date>

Returns products created up to this date. The day ends at 23:59:59 in your company's time zone.

Response

OK

data
object[]
meta
object
Example: